aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2019-01-08 00:57:06 +0100
committerDavide Pesavento <pesa@gentoo.org>2019-01-08 00:57:06 +0100
commitf11c40750fff879e9c8269303c678f72c9863414 (patch)
treef3cbd65a93145ac27ba7349489d514d369923433
parentqt5-build.eclass: move the 's/optimize_full//' sed where it belongs (diff)
downloadqt-f11c40750fff879e9c8269303c678f72c9863414.tar.gz
qt-f11c40750fff879e9c8269303c678f72c9863414.tar.bz2
qt-f11c40750fff879e9c8269303c678f72c9863414.zip
dev-qt/qtsql: apparently upstream doesn't support libiodbc anymore
The configure test fails to detect it. Probably easy to fix, but I doubt anyone cares, given that it's been broken since 5.8.0 and no one complained. Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
-rw-r--r--dev-qt/qtsql/qtsql-5.12.0.ebuild7
-rw-r--r--dev-qt/qtsql/qtsql-5.12.9999.ebuild7
-rw-r--r--dev-qt/qtsql/qtsql-5.9999.ebuild7
3 files changed, 9 insertions, 12 deletions
diff --git a/dev-qt/qtsql/qtsql-5.12.0.ebuild b/dev-qt/qtsql/qtsql-5.12.0.ebuild
index 09b2d085..d5f86389 100644
--- a/dev-qt/qtsql/qtsql-5.12.0.ebuild
+++ b/dev-qt/qtsql/qtsql-5.12.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,9 +23,9 @@ DEPEND="
freetds? ( dev-db/freetds )
mysql? ( virtual/libmysqlclient:= )
oci8? ( dev-db/oracle-instantclient-basic )
- odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
+ odbc? ( dev-db/unixODBC )
postgres? ( dev-db/postgresql:* )
- sqlite? ( >=dev-db/sqlite-3.8.10.2:3 )
+ sqlite? ( dev-db/sqlite:3 )
"
RDEPEND="${DEPEND}"
@@ -51,7 +51,6 @@ src_configure() {
use mysql && myconf+=("-I${EPREFIX}/usr/include/mysql" "-L${EPREFIX}/usr/$(get_libdir)/mysql")
use oci8 && myconf+=("-I${ORACLE_HOME}/include" "-L${ORACLE_HOME}/$(get_libdir)")
- use odbc && myconf+=("-I${EPREFIX}/usr/include/iodbc")
use postgres && myconf+=("-I${EPREFIX}/usr/include/postgresql/pgsql")
qt5-build_src_configure
diff --git a/dev-qt/qtsql/qtsql-5.12.9999.ebuild b/dev-qt/qtsql/qtsql-5.12.9999.ebuild
index 2ce2c9a9..d5f86389 100644
--- a/dev-qt/qtsql/qtsql-5.12.9999.ebuild
+++ b/dev-qt/qtsql/qtsql-5.12.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,9 +23,9 @@ DEPEND="
freetds? ( dev-db/freetds )
mysql? ( virtual/libmysqlclient:= )
oci8? ( dev-db/oracle-instantclient-basic )
- odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
+ odbc? ( dev-db/unixODBC )
postgres? ( dev-db/postgresql:* )
- sqlite? ( >=dev-db/sqlite-3.8.10.2:3 )
+ sqlite? ( dev-db/sqlite:3 )
"
RDEPEND="${DEPEND}"
@@ -51,7 +51,6 @@ src_configure() {
use mysql && myconf+=("-I${EPREFIX}/usr/include/mysql" "-L${EPREFIX}/usr/$(get_libdir)/mysql")
use oci8 && myconf+=("-I${ORACLE_HOME}/include" "-L${ORACLE_HOME}/$(get_libdir)")
- use odbc && myconf+=("-I${EPREFIX}/usr/include/iodbc")
use postgres && myconf+=("-I${EPREFIX}/usr/include/postgresql/pgsql")
qt5-build_src_configure
diff --git a/dev-qt/qtsql/qtsql-5.9999.ebuild b/dev-qt/qtsql/qtsql-5.9999.ebuild
index 2ce2c9a9..d5f86389 100644
--- a/dev-qt/qtsql/qtsql-5.9999.ebuild
+++ b/dev-qt/qtsql/qtsql-5.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -23,9 +23,9 @@ DEPEND="
freetds? ( dev-db/freetds )
mysql? ( virtual/libmysqlclient:= )
oci8? ( dev-db/oracle-instantclient-basic )
- odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
+ odbc? ( dev-db/unixODBC )
postgres? ( dev-db/postgresql:* )
- sqlite? ( >=dev-db/sqlite-3.8.10.2:3 )
+ sqlite? ( dev-db/sqlite:3 )
"
RDEPEND="${DEPEND}"
@@ -51,7 +51,6 @@ src_configure() {
use mysql && myconf+=("-I${EPREFIX}/usr/include/mysql" "-L${EPREFIX}/usr/$(get_libdir)/mysql")
use oci8 && myconf+=("-I${ORACLE_HOME}/include" "-L${ORACLE_HOME}/$(get_libdir)")
- use odbc && myconf+=("-I${EPREFIX}/usr/include/iodbc")
use postgres && myconf+=("-I${EPREFIX}/usr/include/postgresql/pgsql")
qt5-build_src_configure